ReferenceDocumentsDocumentidShares

    Who a document is shared with

    Owner and admins see every share (API-key grants included); anyone who can read the document sees the user and group shares.

    GET
    /documents/{documentId}/shares

    Owner and admins see every share (API-key grants included); anyone who can read the document sees the user and group shares.

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    documentId*string

    Response Body

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://example.com/documents/string/shares"
    {  "canManage": true,  "owner": {    "apiKeyId": "string",    "userId": "string"  },  "shares": [    {      "apiKey": {        "id": "string",        "name": "string",        "prefix": "string"      },      "createdAt": "string",      "createdBy": "string",      "group": {        "id": "string",        "name": "string"      },      "level": "read",      "subjectId": "string",      "subjectType": "user",      "user": {        "email": "string",        "fullName": "string",        "id": "string",        "imageUrl": "string"      }    }  ]}